# find-requires also extracts version, which is then misunderstood by
# rpm. therefore, forcing require skipping of File::Spec - which is
# nevertheless required by perl-PathTools
%global __requires_exclude perl.File::Spec.

%define upstream_name    ORLite-Migrate
%define upstream_version 1.10

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 9

Summary:    Extremely light weight SQLite-specific schema migration
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://search.cpan.org/CPAN/authors/id/A/AD/ADAMK/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(DBD::SQLite) >= 1.210.0
BuildRequires: perl(DBI) >= 1.580.0
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.620.0
BuildRequires: perl(File::Path) >= 2.40.0
BuildRequires: perl(File::Spec) >= 3.270.100
BuildRequires: perl(File::Which) >= 1.70.0
BuildRequires: perl(File::pushd) >= 1.0.0
BuildRequires: perl(IPC::Run3) >= 0.42.0
BuildRequires: perl(ORLite) >= 1.280.0
BuildRequires: perl(Params::Util) >= 0.370.0
BuildRequires: perl(Probe::Perl) >= 0.10.0
BuildRequires: perl(Test::More) >= 0.470.0
BuildRequires: perl-PathTools
BuildArch:  noarch

Requires:   perl(IPC::Run3)
Requires:   perl-PathTools
%description
SQLite is a light weight single file SQL database that provides an
excellent platform for embedded storage of structured data.

ORLite is a light weight single class Object-Relational Mapper (ORM)
system specifically designed for (and limited to only) work with SQLite.

ORLite::Migrate is a light weight single class Database Schema Migration
enhancement for ORLite.

It provides a simple implementation of schema versioning within the
SQLite database using the built-in user_version pragma (which is set to
zero by default).

When setting up the ORM class, an additional timeline parameter is
provided, which should point to a directory containing standalone
migration scripts.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make


%install
%makeinstall_std

%files
%doc Changes LICENSE META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Wed Jul 12 2017 bb2 <bb2> - 1.100.0-9pclos2017
- rebuild against updates

